# $Revision: 1.2 $, $Date: 2006/05/29 10:45:35 $
%define		_plugin	secure_login
%define		mversion	1.2.8
Summary:	Plugin to turn on SSL during login
Summary(pl):	Wtyczka wczajca SSL na czas logowania
Name:		squirrelmail-plugin-%{_plugin}
Version:	1.2
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	73d2c111579e2fad17c289f62e0be855
URL:		http://www.squirrelmail.org/
Requires:	squirrelmail >= 1.4.6-1
Requires:	squirrelmail-compatibility-2.0.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_sysconfdir	/etc/webapps/squirrelmail

%description
Plugin to automatically turn on SSL security during login.

Primarily this plugin is intended to prevent plain text passwords and
email contents being transmitted over the internet after people
manually enter their server URL without including https://...

%description -l pl
Wtyczka automatycznie wczajca szyfrowanie SSL w czasie logowania.

Gwnym celem tej wtyczki jest zapobieganie przesyaniu hase i treci
maili otwartym tekstem jeeli uytkownik wpisze URL bez https://...

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
mv config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{_plugin}_config.php
ln -s %{_sysconfdir}/%{_plugin}_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{_plugin}_config.php
%dir %{_plugindir}
%{_plugindir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-secure_login.spec,v $
Revision 1.2  2006/05/29 10:45:35  hawk
- use %{_plugin} in more places

Revision 1.1  2006/04/25 14:21:49  hawk
- secure_login plugin for squirrelmail

